@ECHO OFF

SET SRVROOT=C:\Apache24

SET WORKDIR=%~dp0
SET WORKDIR=%WORKDIR:~0,-1%

SET PATH=%SRVROOT%\bin;%PATH%
SET PATH=%WORKDIR%\bin;%PATH%

FOR /F %%v IN ('svn --version --quiet') DO SET SVN_VERSION=%%v
@echo Subversion %SVN_VERSION%

@echo;
@echo * How to run Apache. (Type Ctrl+C to stop the process.)
@echo   %WORKDIR%^>httpd -f %WORKDIR%\httpd.conf

@echo;
@echo * How to install Apache as a service. (Administrator privileges required.)
@echo   %WORKDIR%^>httpd -n Subversion -k install -f %WORKDIR%\httpd.conf
@echo   %WORKDIR%^>net start Subversion

@echo;
@echo * How to uninstall the service. (Administrator privileges required.)
@echo   %WORKDIR%^>net stop Subversion
@echo   %WORKDIR%^>httpd -n Subversion -k uninstall

@echo;
@echo * How to create a new repository.
@echo   %WORKDIR%^>svnadmin create NAME

@echo;
@echo * How to create a new user.
@echo   %WORKDIR%^>htpasswd passwd NAME

%COMSPEC% /K "cd /d %WORKDIR%"
